<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_transform.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Transform Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_transform.html">Transform</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_transform.html#a6d505ddbe3c2e9df2c3e42dd2630476f">addChild</a>(Transform *_tf)</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_transform.html#a18ae73009c329f5444145e0fb9a5f286">childs</a></td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_transform.html#a0feb936d19fbc6a699dec3714ef0af02">getChild</a>(int _i)</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_transform.html#a44bcd8141337e772ab0dadaf4d70dc01">getGlobalMat</a>()</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_transform.html#a85f2c4d2e9e37998ef96308b33cc1e05">getGlobalMatInv</a>()</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_transform.html#a2277bcdd410169374f66d55a5892c602">getMat</a>()</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_transform.html#afa608ba2e982f79002af1a1d674871f4">global_tf</a></td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_transform.html#ac0b7b583f8c67c59c85a3d38d623a010">global_tf_inv</a></td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_transform.html#a9460cedd048ae3d6a8e0680f36638600">id</a></td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_transform.html#a66ac17fab8f59fa9b26ac109b16f6bf0">local_tf</a></td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_transform.html#af68f2847da11a453652c9eda3c1e6f38">setMat</a>(Mat _mat)</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_transform.html#aa08ca4266efabc768973cdeea51945ab">Transform</a>()</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_transform.html#a13428997892b461d999ca0d75d01ab34">Transform</a>(int _id)</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_transform.html#abba40138d02697e7175fda74379b1945">Transform</a>(Mat _m, int _id)</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_transform.html#aee8ca24171a9005d6bf2667d5fe04381">Transform</a>(double yaw, double pitch, double roll, double dx, double dy, double dz, double scale_x, double scale_y, double scale_z, int _id)</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_transform.html#a0d6254a919a5a6f8f66b20b5849da99e">update_global_tf</a>()</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_transform.html#af39e30fa857cdc522b95122649edb5cf">update_global_tf</a>(Mat &amp;current)</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_transform.html#a5e79111567be939ecd8ef89f38c9c637">update_local_tf</a>(double yaw, double pitch, double roll, double dx, double dy, double dz, double scale_x, double scale_y, double scale_z)</td><td class="entry"><a class="el" href="class_transform.html">Transform</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
